Skip to main content

Overview

Organizations are the top-level entities in Polar. They own products, customers, and all other resources.

The Organization Object

id
string
required
Unique identifier
name
string
required
Organization name
slug
string
required
URL-friendly identifier
avatar_url
string
Organization avatar URL
bio
string
Organization bio/description
company
string
Company name
email
string
Contact email
billing_email
string
Billing email
total_monthly_spending_limit
integer
Monthly spending limit in cents
per_user_monthly_spending_limit
integer
Per-user spending limit in cents
payment_processor
enum
Payment processor: stripe
onboarded
boolean
required
Whether organization has completed onboarding
created_at
string
required
Creation timestamp

List Organizations

cURL
curl -X GET "https://api.polar.sh/v1/organizations" \
  -H "Authorization: Bearer polar_pat_..."

Query Parameters

slug
string
Filter by slug

Get Organization

cURL
curl -X GET "https://api.polar.sh/v1/organizations/{id}" \
  -H "Authorization: Bearer polar_pat_..."

Path Parameters

id
string
required
Organization ID or slug

Create Organization

cURL
curl -X POST "https://api.polar.sh/v1/organizations" \
  -H "Authorization: Bearer polar_pat_..." \
  -H "Content-Type: application/json" \
  -d '{
    "name": "Acme Corp",
    "slug": "acme"
  }'

Request Body

name
string
required
Organization name
slug
string
required
URL-friendly slug

Update Organization

cURL
curl -X PATCH "https://api.polar.sh/v1/organizations/{id}" \
  -H "Authorization: Bearer polar_pat_..." \
  -H "Content-Type: application/json" \
  -d '{
    "name": "Acme Corporation",
    "email": "[email protected]"
  }'

Path Parameters

id
string
required
Organization ID

Request Body

All fields optional.
name
string
Update name
email
string
Update contact email
billing_email
string
Update billing email
bio
string
Update bio

Examples

Get Organization by Slug

curl -X GET "https://api.polar.sh/v1/organizations/acme" \
  -H "Authorization: Bearer polar_pat_..."

Update Organization Details

curl -X PATCH "https://api.polar.sh/v1/organizations/org_123" \
  -H "Authorization: Bearer polar_pat_..." \
  -H "Content-Type: application/json" \
  -d '{
    "name": "Acme Corporation",
    "bio": "Building the future of payments",
    "email": "[email protected]",
    "billing_email": "[email protected]"
  }'

Build docs developers (and LLMs) love